=== debian/control ===
Source: ros-noetic-robot-calibration
Section: misc
Priority: optional
Maintainer: Michael Ferguson <mike@vanadiumlabs.com>
Build-Depends: debhelper (>= 9.0.0), libceres-dev, libeigen3-dev, libgflags-dev, liborocos-kdl-dev, libprotobuf-dev, libprotoc-dev, libsuitesparse-dev, protobuf-compiler, ros-noetic-actionlib, ros-noetic-camera-calibration-parsers, ros-noetic-catkin, ros-noetic-code-coverage <!nocheck>, ros-noetic-control-msgs, ros-noetic-cv-bridge, ros-noetic-geometric-shapes, ros-noetic-geometry-msgs, ros-noetic-kdl-parser, ros-noetic-moveit-msgs, ros-noetic-nav-msgs, ros-noetic-pluginlib, ros-noetic-robot-calibration-msgs, ros-noetic-rosbag, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-tf, ros-noetic-tf2-geometry-msgs, ros-noetic-tf2-ros, ros-noetic-visualization-msgs
Homepage: http://ros.org/wiki/robot_calibration
Standards-Version: 3.9.2

Package: ros-noetic-robot-calibration
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libceres-dev, libgflags-dev, liborocos-kdl-dev, libprotobuf-dev, libprotoc-dev, libsuitesparse-dev, protobuf-compiler, ros-noetic-actionlib, ros-noetic-camera-calibration-parsers, ros-noetic-control-msgs, ros-noetic-cv-bridge, ros-noetic-geometric-shapes, ros-noetic-geometry-msgs, ros-noetic-kdl-parser, ros-noetic-moveit-msgs, ros-noetic-nav-msgs, ros-noetic-pluginlib, ros-noetic-robot-calibration-msgs, ros-noetic-rosbag, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-tf, ros-noetic-tf2-geometry-msgs, ros-noetic-tf2-ros, ros-noetic-visualization-msgs
Description: Calibrate a Robot
